Has patch: No
Complexity:
Subject: Context dependant Package states
Description

It should be possible to (de)activate packages for certain contexts only.
Suggested PackageStates.php syntax:

 1return array (
 2  'packages' => 
 3  array (
 4    'Foo.Bar' => 
 5    array (
 6      'manifestPath' => '',
 7      'state' => 'inactive',
 8      'packagePath' => 'Application/Foo.Bar/',
 9      'classesPath' => 'Classes/',
10    ),
11    'Bar.Baz' => 
12    array (
13      'manifestPath' => '',
14      'state' => 'active',
15      'overriddenStateByContext' => array(
16        'Production' => 'inactive',
17      ),
18      'packagePath' => 'Application/Bar.Baz/',
19      'classesPath' => 'Classes/',
20    ),
21// ...

Related issues:
related to TYPO3.Flow - Bug # 42520: Cache must be flushed globally for packa... New 2012-10-30

History
#1 - 2012-10-29 15:02 - Bastian Waidelich

As discussed the PackageStates.php syntax should be rather like:

 1return array (
 2  'packages' => 
 3  array (
 4    'Foo.Bar' => 
 5    array (
 6      'manifestPath' => '',
 7      'state' => array(
 8        'default' => 'inactive',
 9      ),
10      'packagePath' => 'Application/Foo.Bar/',
11      'classesPath' => 'Classes/',
12    ),
13    'Bar.Baz' => 
14    array (
15      'manifestPath' => '',
16      'state' => array(
17        'default' => 'inactive',
18        'Production' => 'active',
19      ),
20      'packagePath' => 'Application/Bar.Baz/',
21      'classesPath' => 'Classes/',
22    ),
23// ...

The package:(de)activate commands need to be adjusted to accept a context flag:

./flow package:activate Foo.Bar --context Production

./flow package:deactivate Foo.Bar --context Production

#2 - 2012-10-30 15:10 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16047

#3 - 2012-12-10 13:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#4 - 2013-05-02 10:08 - Karsten Dambekalns
- Status changed from Under Review to New

#5 - 2013-05-07 18:39 - Bastian Waidelich
- Status changed from New to Closed
- Priority changed from Should have to Won't have this time
- Target version deleted (2.1)

Too old, too rusty, not important enough(?). Closing this for now

2015-08-04 2/3

http://review.typo3.org/16047


2015-08-04 3/3


